cancel
Showing results for 
Search instead for 
Did you mean: 

ERROR: /usr/bin/m4 failed

ERROR: /usr/bin/m4 failed

Hi all,

For sendmail compilation:
For very first step >sh Build
I have found error message

"ERROR: /usr/bin/m4 failed; You may need a newer version of M4, at least as new a
s System V or GNU"

I am using HP-UX.11.23.

Any idea to resolve this.
Thanks in Advance.

Regards,
Subrat
3 REPLIES
Steven E. Protter
Exalted Contributor

Re: ERROR: /usr/bin/m4 failed

Shalom,

HP-UX has its own little subsystem for doing m4 compiles.

It's called gen_conf or conf_gen and its buried deep in /usr

http://www.hpux.ws/buildmail.hpux.text

I've not tested it on 11.23 but will try and remember to take a look Sunday morning when I get access to an 11.23 system.

You'll note this document varies from normal sendmail on say Linux. The m4 util you are using is a compiler tool, not a sendmail tool.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com

Re: ERROR: /usr/bin/m4 failed

Thanks....
Dennis Handly
Acclaimed Contributor

Re: ERROR: /usr/bin/m4 failed

>SEP: The m4 util you are using is a compiler tool, not a sendmail tool.

m4 is not a compiler tool but a HP-UX command.